using System.Diagnostics;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
//using XMLParser;

namespace XMLParserTest
{
    [TestClass]
    public class CalculateTest
    {
        [TestMethod]
        public void TestCalculate()
        {
            /*
            List<KanalObjekt> kanalObjekts = new XMLParse("input.xml").KanalObjekte.FindAll(x => x.Inspektionsdaten.OptischeInspektion.Inspektionsdatum.Equals("20.07.2021"));
            Assert.AreEqual(35,kanalObjekts.Count);

            var umsatz = Calculate.CalculateDay(kanalObjekts);
            Assert.AreEqual(3,umsatz[ECalculatedResult.STRASSENABLAUFANZAHL]);
            Assert.AreEqual(29,umsatz[ECalculatedResult.SONSTIGEANZAHL]);
            Assert.AreEqual(102.00m,umsatz[ECalculatedResult.STRASSENABLAUFUMSATZ]);
            Assert.AreEqual(1305.00m,umsatz[ECalculatedResult.SONSTIGEUMSATZ]);
            Assert.AreEqual(27.50m,umsatz[ECalculatedResult.LAENGEZULAGEUMSATZ]);
            */
        }
    }
}
